#
# spec file for package openvas-cli
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           openvas-cli
Version:        1.2.0
Release:        2.3
Url:            http://www.openvas.org
Source:         %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%if 0%{?mandriva_version}
BuildRequires:  pinentry-gtk2
%endif

BuildRequires:  cmake
BuildRequires:  glib2-devel
BuildRequires:  libopenvas-devel
BuildRequires:  pkgconfig
BuildRequires:  doxygen
Summary:        Command Line Tools for OpenVAS
License:        GPL-2.0+
Group:          Productivity/Networking/Security

%description
OpenVAS-CLI collects command line tools
to handle with the OpenVAS services via the respective
protocols.


%prep
%setup -q

%build
export CFLAGS="$RPM_OPT_FLAGS"

%__mkdir build
cd build
cmake .. -DCMAKE_VERBOSE_MAKEFILE=ON \
         -DCMAKE_INSTALL_PREFIX=%{_prefix} \
         -DCMAKE_BUILD_TYPE=Release

%__make %{?_smp_mflags}
%install
cd build
%__make install DESTDIR=%{buildroot}
%__ln_s %{_mandir}/man8/omp.8.gz %{buildroot}%{_mandir}/man8/check_omp.8.gz
%__ln_s %{_mandir}/man8/omp.8.gz %{buildroot}%{_mandir}/man8/omp-dialog.8.gz

%clean
test "%{buildroot}" != "/" && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGES COPYING README
%{_bindir}/omp
%{_bindir}/check_omp
%{_bindir}/omp-dialog
%{_mandir}/man8/omp.8*
%{_mandir}/man8/check_omp.8*
%{_mandir}/man8/omp-dialog.8*

%changelog
* Thu Apr 18 2013 johann.luce@wanadoo.fr
- Update to 1.2.0 (for OpenVAS-6)
  * New OMP based Nagios plugin.
  * New ncurses based OMP interface.
  * Observed task are now shown per default.
  * Out-of-sources builds are now possible for all targets.
  * The openvas-libraries dependency has been raised to 6.0.0.
  * The GnuTLS dependency has been raised from 2.2 to 2.8.
  * Support for building a statically linked version of the OMP based Nagios
    plugin has been added.
  * Use omp_get_tasks_ext instead of omp_get_tasks so that observed tasks show up.
* Tue Dec  6 2011 bitshuffler@opensuse.org
- Updated to 1.1.4
  * Support for OMP 3.0 when retrieving reports has been added.
* Sun Oct 16 2011 bitshuffler@opensuse.org
- Updated to 1.1.3
  * The "omp" command now accepts XML input from stdin when using the "-X"
    parameter.
* Sun Sep  4 2011 crrodriguez@opensuse.org
- Fix build with no-add-needed
* Wed Feb 23 2011 bitshuffler@opensuse.org
- Updated to 1.1.2
  * The build environment has been consolidated.
  * The documentation for the password parameter on the man page has been
    corrected.
* Fri Feb  4 2011 bitshuffler@opensuse.org
- Updated to 1.1.1
  * Hardening flags are now enabled during compile time to increase code quality.
  * The output of --version is now compliant with the GNU Coding Standards.
  * The omp binary now warns about revealing passwords when verbose output is
    requested.
  * OpenVAS CLI now use pkg-config to find required libraries.
  * OpenVAS CLI now provides a manual page for the omp binary.
  * The authentication password can now be entered interactively.
* Fri Dec  3 2010 bitshuffler@opensuse.org
- Updated to 1.1.0
  * New parameter: --get-configs for retrieving a list of scan configs.
  * New parameter: --get-targets for retrieving a list of targets.
  * Special characters in OMP commands (like umlauts) are now handled correctly.
  * The documentation has been improved; source code documentation can now be
    generated using the "make doc" and "make doc-full" commands.
  * Compatibility with different OMP versions has been improved.
  * New parameter: --get-report-formats for retrieving the available report
    formats (OMP 2.0 only).
  * New parameter: --get-omp-version for determining the OMP version used by the
    server.
* Thu Oct 28 2010 bitshuffler@opensuse.org
- Updated to 1.0.1
  * Special characters in OMP commands (like umlauts) are now handled correctly.
  * The documentation has been improved; source code documentation can now be
    generated using the "make doc" and "make doc-full" commands.
* Wed Aug  4 2010 bitshuffler@opensuse.org
- Updated to 1.0.0
  * The build environment and the code have been cleaned up and made more
    consistent with the other OpenVAS modules.
  * The documentation has been updated.
* Mon Jul 19 2010 bitshuffler@opensuse.org
- Updated to 0.2.0
  * The build environment has been improved. It is now possible to use MinGW to
    compile openvas-cli for Microsoft Windows.
  * Support for storing the connection credentials in a configuration file has
    been added.
  * The --get-status parameter has been renamed to --get-tasks to reflect the
    updates in the OMP specification.
  * The openvas-libraries dependency has been raised to 3.1.0.
* Mon Mar 22 2010 bitshuffler@opensuse.org
- Initial package
